Skip to main content
PUT
/
api
/
v2
/
scan
/
{scan_id}
/
finding
/
{finding_id}
Update Vulnerability
curl --request PUT \
  --url https://aquilax.ai/api/v2/scan/{scan_id}/finding/{finding_id} \
  --header 'Content-Type: application/json' \
  --header 'X-AX-KEY: <api-key>' \
  --data '
{
  "status": "TRUE POSITIVE",
  "reason": "Confirmed based on business logic",
  "remediation": "Input sanitization applied",
  "severity": "HIGH",
  "impact": "Sensitive data exposure",
  "likelihood": "MEDIUM",
  "confidence": "MEDIUM"
}
'
import requests

url = "https://aquilax.ai/api/v2/scan/{scan_id}/finding/{finding_id}"

payload = {
    "status": "TRUE POSITIVE",
    "reason": "Confirmed based on business logic",
    "remediation": "Input sanitization applied",
    "severity": "HIGH",
    "impact": "Sensitive data exposure",
    "likelihood": "MEDIUM",
    "confidence": "MEDIUM"
}
headers = {
    "X-AX-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'X-AX-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    status: 'TRUE POSITIVE',
    reason: 'Confirmed based on business logic',
    remediation: 'Input sanitization applied',
    severity: 'HIGH',
    impact: 'Sensitive data exposure',
    likelihood: 'MEDIUM',
    confidence: 'MEDIUM'
  })
};

fetch('https://aquilax.ai/api/v2/scan/{scan_id}/finding/{finding_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

X-AX-KEY
string
header
required

Path Parameters

scan_id
string
required

The ID of the scan document

finding_id
string
required

The ID of the finding to update

Query Parameters

org
string
required

Organization ID

group
string
required

Group ID

Body

application/json

Fields to update in the finding

status
string

Status of the finding (e.g., True Positive, False Positive, Unverified)

reason
string

Reason for classification

remediation
string

Suggested remediation

severity
string

Severity level

impact
string

Potential impact

likelihood
string

Likelihood of exploit

confidence
string

Confidence in detection

Response

Finding updated successfully